Update Widget Template
Updates a Widget Template.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Content | modify | `store_v2_content` |
| Content | read-only | `store_v2_content_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
uuid
Request
This endpoint expects an object.
channel_id
The id of the channel on which to place this template.
create_new_version
Can be added to create a new widget template version instead of updating the current one.
name
The user-friendly name.
schema
The schema for the widget’s merchant-facing UI. For more information on the available schema settings, see Widget UI Schema.
storefront_api_query
The GraphQL Storefront API query that provides widget data.
template
The widget template HTML. Supports Handlebars and Paper helpers.
Response
data
meta
Response metadata.
Errors
404
Not Found Error
422
Unprocessable Entity Error